package com.cftech.core.sql;

import com.cftech.core.scope.CondType;
import com.cftech.core.scope.LinkType;


/**
 * @Description: 之间
 * @author: lisw
 * @date: 2016-8-05 下午1:25:14
 */
public class BetweenCond extends Cond {

    private String param;
    private Object startValue;
    private Object endValue;

    public BetweenCond(LinkType linkType, String param, Object startValue, Object endValue) {
        super(CondType.BETWEEN, linkType);
        this.param = param;
        this.startValue = startValue;
        this.endValue = endValue;
    }

    public String getParam() {
        return param;
    }

    public Object getStartValue() {
        return startValue;
    }

    public Object getEndValue() {
        return endValue;
    }

}
